<?php

namespace App\Events;

use Illuminate\Queue\SerializesModels;
use Illuminate\Foundation\Events\Dispatchable;
use Illuminate\Broadcasting\InteractsWithSockets;
use Illuminate\Contracts\Broadcasting\ShouldBroadcast;

class NotifikasiPetiBesi implements ShouldBroadcast
{
  use Dispatchable, InteractsWithSockets, SerializesModels;

  public $cawangan,$status,$bakipetibesi;

  public function __construct($cawangan,$status,$bakipetibesi)
  {
      $this->cawangan = $cawangan;
      $this->status = $status;
      $this->bakipetibesi = $bakipetibesi;
  }

  public function broadcastOn()
  {
    return ['notice-notify'];
  }

  public function broadcastAs()
  {
    return 'trigger-notify';
  }
}